1. Please take a little time for this simple survey! Thank you for participating!
    Dismiss Notice
  2. Dear Pleskians, please read this carefully! New attachments and other rules Thank you!
    Dismiss Notice
  3. Dear Pleskians, I really hope that you will share your opinion in this Special topic for chatter about Plesk in the Clouds. Thank you!
    Dismiss Notice

Problem updating to 9.5.1

Discussion in 'Plesk 9.x for Linux Issues, Fixes, How-To' started by WalterE, Apr 17, 2010.

  1. WalterE

    WalterE Guest

    0
     
    Hi,
    i tried to update my Plesk from 9.3.0 to 9.5.1 but my License Key does not updatet. Now i tried to solve the problem as described here http://kb.odin.com/en/6096 . Downgraded the libcurl to 7.15.5-1etch1 and after that the ples admin page wont load. The only thing what helps is upgrade to the libcurl 7.18.2-8. This is great. The key will update only with 7.15.5 and the page will only work with 7.18, great. Hope this will fixed as soon as possible.

    Sincerly

    Walter Eder
     
  2. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    What do you mean "License Key was not updated"? Do you mean error during upgrade process or when you click button in License Manager, or what? What sort of error was there? What is version of OS?
    Need more details.
     
  3. WalterE

    WalterE Guest

    0
     
    I mean the Key for updating Plesk to 9.5.1. The key in the License Manager reports no error.
     
  4. WalterE

    WalterE Guest

    0
     
    Details

    The Server is running under Debian 5.0, Plesk is 9.3.0. The problem is the License-Key for updating to 9.5.1. In license-Manager i get no error.
     
  5. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    When you have received this error with license upgrading? According to this thread there was really problem with it, but it was fixed by developers some time ago.
     
  6. WalterE

    WalterE Guest

    0
     
    Update

    On plesk Panle i choose update, then the update process will stop and i get a e-mail with the following error message: File downloading PSA_9.5.1/plesk_getkeyinfo.sh: 48%..100% was finished.
    Ask KA server for key update: product=PleskLogin current key number=PLSK006047150010 to version=9.5.1
    Error: Failed to connect to the licensing server.

    I found her in the Forum that the problem is the libcurl 7.18.2-8 and one tip was to downgrade to 7.15.5. After that the i cant´t open the admin-panel, i only get a Internal Server Error, so to open the admin-panel is to upgrade, but then no update of Plesk.

    Thanks

    Walter Eder
     
  7. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
  8. WalterE

    WalterE Guest

    0
     
    Upddate

    Thanks for the answer, but this is not my problem. The Plesk Key server is reachable, no problem with all the 3 commands. The problem is like this one http://kb.odin.com/en/6096 , but downgrade the libcurl wont help, because the admin-page is no more reachable after that.

    Again, if i will update plesk on Plesk admin page the update aborts with the following message: Ask KA server for key update: product=PleskLogin current key number=PLSK006047150010 to version=9.5.1
    Error: Failed to connect to the licensing server.

    And: Error: Failed to check whether a new license key is available.

    In http://kb.odin.com/en/6096 the following error message " curl -k https://ka.parallels.com:5224
    curl: (35) error:1406D0CB:SSL routines:GET_SERVER_HELLO:peer error no cipher" is the same as on mine system. There is written the problem is libcurl 7.18.2-8. , which is installed on my system. On this site is the Resolution to downgrade libcurl to versin 7.15.5-1etch1. If i do this, i get a "Internal Server Error" on trying to access the Plesk admin-page. To access the admin-page i have to upgrade the libcurl, but after that i get the above error-message.
     
  9. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    What is LANG setting you have on your server? Try to set it to "C" with 'export LANG="C"' and inform with results.
     
  10. WalterE

    WalterE Guest

    0
     
    Update

    Had no LANG on my server, set it to C but changes nothing. Is there a way to start update at the console and not at the web interface?
     
  11. IgorG

    IgorG Forums Analyst Staff Member

    49
    24%
    Joined:
    Oct 27, 2009
    Messages:
    24,572
    Likes Received:
    1,243
    Location:
    Novosibirsk, Russia
    Yes, just run /usr/local/psa/admin/sbin/autoinstaller and follow instruction.
     
  12. WalterE

    WalterE Guest

    0
     
    Ok. then i will downgrade the libcurl and try to use autoinstalller. Will poste result
     
  13. WalterE

    WalterE Guest

    0
     
    If i downgrade libcurl to 7.15 and start autoinstaller i got a message to run apt-get with -f option. If i do this the system will upgrade to the 7.18 version. What can i do to fix this or is the only one to stay at Plesk 9.3?
     
  14. amueller

    amueller Guest

    0
     
    Hi Igor,

    same here trying to upgrade vom 9.3.0 to 9.5.1.

    When using autoinstaller on debian lenny (5.0) the installer exits with failure message:

    Exchanging information with licensing server.
    Downloading the file PSA_9.5.1/plesk_getkeyinfo.sh: 48%..100% done.
    XMLRPC remote call failed: HTTP error #-1 occurred
    Error: Failed to connect to the licensing server.


    Calling the getkeyinfo script from console shows information from license server:

    ~/parallels/PSA_9.5.1# sh plesk_getkeyinfo.sh
    Key Info v1.0
    PleskLogin
    PleskPassword
    https://ka.swsoft.com:5224/
    PLSK012100450000
    *password deleted*


    Tested with libcurl (7.15.5-1etch3 and 7.18.2-8lenny4) both without success.
     
  15. kanada

    kanada Basic Pleskian

    25
    73%
    Joined:
    May 25, 2007
    Messages:
    67
    Likes Received:
    0
    Hello,

    Same there:
    Exchanging information with licensing server.
    Downloading the file PSA_9.5.1/plesk_getkeyinfo.sh: 100% done.
    XMLRPC remote call failed: HTTP error #-1 occurred
    Error: Failed to connect to the licensing server.

    Continuing with the upgrade without having an appropriate product license key
    will result in the installation of a default license key with limited
    functionality. Administrators are advised to first acquire the appropriate
    license key before continuing with the product upgrade.

    Do you want to continue?
    Type either Yes or No:
    [N]: n
    ERROR: Failed to check whether a new license key is available.
    Not all packages were installed.
    Please, resolve the above problem and try installing the packages again.
    If you cannot resolve the problem on your own, contact product technical support for assistance.

    ./plesk_getkeyinfo.sh
    Key Info v1.0
    PleskLogin
    PleskPassword
    https://ka.swsoft.com:5224/
    PLSKXXXXXXXXXX
    ---hidden---

    OS: Fedora 11

    Regards,
    Alex
     
  16. saatchi

    saatchi Basic Pleskian

    24
    57%
    Joined:
    Dec 17, 2005
    Messages:
    72
    Likes Received:
    0
    Error: The license key is invalid.

    Hello,

    I've problem after upgrade to 9.5.1, too. Today, when I logged in the Plesk after upgrade, the page redirected to license management page. In this page I had this error:

    My license is valid till to month later. Also I use CentOS 5.

    Please help to solve it.

    Regards,
     
  17. samuelbp

    samuelbp Guest

    0
     
    I have the sdame error. I also get this one

    " Trying to executing mail_restore to synchronize mail server settings and Plesk Database... Number of arguments is invalid.
    Number of arguments is invalid."
     
  18. 105547111

    105547111 Silver Pleskian

    32
    30%
    Joined:
    Jul 13, 2006
    Messages:
    643
    Likes Received:
    2
    Alex run it again and say yes. Then after it's upgraded log in to the panel and the retrieve new license key.

    You can only get the latest key if you are running 9.5.1.

    As long as your sus is current you will get the key. I been running 9.5.1 on Fedora 11 the day it was released and ONLY this way will you upgrade.
     
  19. samuelbp

    samuelbp Guest

    0
     
    Hello,
    Where can I find plesk_getkeyinfo.sh?
     
  20. the_mart1

    the_mart1 Guest

    0
     
    Hello

    Same error here. I tried to update from 9.3 to 9.5.1.

    Martin
     
Loading...